pro apply_tsys
;yes
;=Task:APPLY_TSYS --- To scale amplititudes by Tsys
;#Type: utility
;+Use:
;      The SMA currently does not automatically scale the data by Tsys
;      as would be done at most other radio telescopes due to occasionally
;      unreliable Tsys measurements. Therefore, to correct the amplitude
;      variation, it is necessary to execute the mir command
;      IDL>apply_tsys
;
;      NOTE: The SMA records Tsys for each baseline and spectral band as 
;      the geometric mean of Tsys from the two antennas of the baseline. 
;      Currently there is only one total power detector for each antenna
;      and it reads only the broadband power from the receiver. Therefore, 
;      Tsys at the SMA is the same for each band(chunk) belonging to an
;      integration and baseline.
;
;&history:
;------------------------------------------------------------------------
;      09feb04 adapting the form of the header
;------------------------------------------------------------------------

common global
common data_set
    uti_tsysamp
    sp[psf].wt=(sp[psf].wt/abs(sp[psf].wt))*sp[psf].integ/(sp[psf].tssb*sp[psf].tssb)
    re.wts[prf]=sp[psf].wt*re.integs[prf]
end


